import os
import sys

errorlevel = os.system("cc65\\bin\\da65" +
    " -i st_disasm_info.txt -o st_music_raw.s -S $8000" +
    #" -v  --comments 4" + # enable for raw addresses and byte data in comments
    " temp\\combo.bin")

# manually insert .segment directives
# (da65 does not seem to correctly produce them)

rf = open("st_music_raw.s","rt")
fl = rf.readlines()
rf.close()

sf = open("st_music_raw2.s","wt")
for l in fl:
    if ".setcpu" in l:
        sf.write('        .org $A000\n')
    if "; 8000" in l:
        sf.write('.segment "BANK1E"\n')
    elif "; A000" in l:
        sf.write('.segment "BANK08"\n')
    elif "; C000" in l:
        sf.write('.segment "BANK09"\n')
    elif "; E000" in l:
        sf.write('.segment "BANK1F"\n')
    elif "; FFE0" in l:
        sf.write('.segment "DELETE"\n')
    sf.write(l)
sf.close()
