r = open("temp/combo.bin","rb").read()

def rom(addr):
    return r[addr - 0x8000]

def rom_ptr(addr):
    return r[addr - 0x8000] | (r[addr - 0x7FFF] << 8)
    
order = [rom_ptr((x*2)+0xA000) for x in range(1,36)]

for i in range(len(order)):
    print ('LABEL { ADDR $%04X; NAME "TRACK_%02X_ORDER"; };' % (order[i], i+1))

last = 0xA048
for i in range(len(order)):
    op = order[i]
    channels = rom(op)
    op = op + 1
    while channels >= 0:
        c = rom(op)
        a = rom_ptr(op+1)
        #print ("SIZE: %d" % (a-last))
        op = op + 3
        channels = channels - 1
        print ('LABEL { ADDR $%04X; NAME "TRACK_%02X_CH%d_PATTERN"; };' % (a, i+1, c))
        last = a

last = 0xA048
for i in range(len(order)):
    op = order[i]
    if (last < op):
        print ('RANGE { START $%04X; END $%04X; TYPE ByteTable; };' % (last,op-1))
    channels = rom(op)
    print ('RANGE { START $%04X; END $%04X; TYPE ByteTable; };' % (op, op))
    op = op + 1
    while channels >= 0:
        print ('RANGE { START $%04X; END $%04X; TYPE ByteTable; };' % (op, op))
        print ('RANGE { START $%04X; END $%04X; TYPE AddrTable; };' % (op+1, op+2))
        c = rom(op)
        a = rom_ptr(op+1)
        op = op + 3
        channels = channels - 1
        last = op

print ('RANGE { START $%04X; END $DFFF; TYPE ByteTable; };' % (last))
