.segment "NSF_STUB"

; imports from st_music.s

.importzp  var_next_track
.import    var_dmc_counter
.import    init
.import    play

nsf_init:
	tax
	inx
	txa
	ora #$80
	pha
	jsr init
	pla
	sta var_next_track
	; negate unpleasant $4011 ramp on startup
	lda #0
	sta var_dmc_counter
	sta $4011
	rts

nsf_play = play

; header
.segment "NSF_HEADER0"
; ID and version
.byte 'N','E','S','M',$1A
.byte $01
; songs, starting song
.byte 35
.byte 1
; LOAD / INIT / PLAY
.word $A000
.word nsf_init
.word nsf_play

.segment "NSF_TITLE"
.asciiz "StarTropics"
.segment "NSF_ARTIST"
.asciiz "Yoshio Hirai"
.segment "NSF_COPYRIGHT"
.asciiz "1990 Nintendo"

.segment "NSF_HEADER1"
; NTSC speed, bank init, PAL
.word 16639
.byte 0,0,0,0,0,0,0,0
.word 19997
; pal/ntsc bitfield, expansion bitfield
.byte %00000000
.byte %00000000
; padding
.byte 0,0,0,0

; end of file
